List Product Lines
Beta/v1/catalog/product-linesThis endpoint is idempotent. Learn more
Returns a paginated list of product lines, including account-owned and system product lines.
cursoroptional stringQuery parameter: cursor for List Product Lines
limitoptional integerQuery parameter: limit for List Product Lines
qoptional stringQuery parameter: q for List Product Lines
include[]optional arrayenumValues:ownerowner.accountunit_groupSub-objects to expand in the response. When omitted, sub-objects are returned as null.
objectstringenumValues:listObject type for ProductLine list
page_infoobjectPagination metadata for ProductLine list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of ProductLine resources in this page
idstringProduct line ID.
objectstringenumValues:product_lineResource type identifier.
namestringDisplay name.
descriptionstringnullableDescription.
notesstringnullableNotes.
commission_policystringenumValues:commission_appliedcommission_exemptCommission policy.
freight_policystringenumValues:free_freightbilled_freightFreight policy.
ownerobjectExpandablenullableOwner.
objectstringenumValues:ownerResource type identifier.
typestringenumValues:systemaccountThe owner type: "system" for platform defaults, "account" for account-owned resources.
accountobjectExpandablenullableThe account that owns this resource. null if the object is system-owned.
idstringAccount ID.
objectstringenumValues:accountResource type identifier.
namestringDisplay name.
default_billing_addressobjectnullableDefault billing address.
null in this endpoint.default_shipping_addressobjectnullableDefault shipping address.
null in this endpoint.brandingobjectnullableBranding configuration.
null in this endpoint.portalobjectnullablePortal configuration.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
unit_groupobjectExpandablenullableUnit group.
idstringUnit group ID.
objectstringenumValues:unit_groupResource type identifier.
namestringDisplay name.
notesstringnullableNotes.
typestringenumValues:currencyquantitytimeUnit type.
base_unitobjectnullableBase unit.
null in this endpoint.associated_unitsobjectnullableAssociated units.
null in this endpoint.ownerobjectnullableOwner.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last-updated timestamp.
Responses
Successful response for List Product Lines